Debian Bug report logs - #725407
ITA: nauty -- command line tools to compute graph automorphisms

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: David Bremner <bremner@debian.org>

Date: Sat, 5 Oct 2013 11:30:02 UTC

Owned by: Jerome BENOIT <calculus@rezozer.net>

Severity: normal

Fixed in version nauty/2.5r6+ds-1

Done: Jerome Benoit <calculus@rezozer.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, calculus@rezozer.net, wnpp@debian.org:
Bug#725407; Package wnpp. (Sat, 05 Oct 2013 11:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bremner <bremner@debian.org>:
New Bug report received and forwarded. Copy sent to calculus@rezozer.net, wnpp@debian.org. (Sat, 05 Oct 2013 11:30:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: nauty -- command line tools to compute graph automorphisms
Date: Sat, 05 Oct 2013 08:27:23 -0300
Package: wnpp
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

I request an adopter for the nauty package.

The package description is:
 nauty (no automorphisms, yes?) is a set of procedures for determining
 the automorphism group of a vertex-coloured graph. It provides this
 information in the form of a set of generators, the size of the
 group, and the orbits of the group. It is also able to produce a
 canonically-labelled isomorph of the graph, to assist in isomorphism
 testing.  This package provides the main command line tool dreadnaut,
 and some utilities ('gtools').  A C API is also available.

Jerome Benoit has privately expresed interest.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQGcBAEBCAAGBQJST/eRAAoJEPIClx2kp54sop4L+wZcLjCkH+QfSdAlgNbAfsnp
KT++f3ci1UM6wF5qm2O6JE0keTWfK00+8EKEcJP3+K82kY5wIx/2/GDEWMNhYRbK
x836GTJJN29emzHmrHJwb+MmZhPsdUk/TjC13qM/hYwSIat5WdWEo9+H6btGboMI
KB44bubc1g/kUcCITYyqS2UDkIjkXz8N8iG6qzxyfVt+hMzfw88WEFy/2XLPQ1Zs
D1iZB2H+GggFXNwUn+fhPngptlJieAN4IxS0kwMDTzIlVzO9asFIE82m2gbnvT5T
QdM/gBfmIX56F1WtcwfzZaC1JqB5z59xqFlraXWhI2mtbT0Khg/yHAgJc8SCTbUA
N2xlQIP10P4wT20zlvxxMvs0IZE0sgc54p0DPYlS9xlXsFe3Fmp3kh50iwaT57sV
Sr+tWJd7Y5qfkMBmf7zik/nxO2OBBnufsJ2EgzqMPWvxjMg+Crry4fC60Ohasaqw
8t8r/jcd0zJHxA3k1UTqcFtkQGC7gs3dYF1zaZMVvA==
=eqkz
-----END PGP SIGNATURE-----



Changed Bug title to 'ITA: nauty -- command line tools to compute graph automorphisms' from 'RFA: nauty -- command line tools to compute graph automorphisms' Request was from Jerome BENOIT <calculus@rezozer.net> to control@bugs.debian.org. (Sat, 05 Oct 2013 15:24:04 GMT) Full text and rfc822 format available.

Owner recorded as Jerome BENOIT <calculus@rezozer.net>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sat, 05 Oct 2013 17:09:14 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 725407: 730623 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 27 Nov 2013 16:27:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 04 Dec 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Jerome Benoit <calculus@rezozer.net>:
You have taken responsibility. (Fri, 13 Dec 2013 16:03:13 GMT) Full text and rfc822 format available.

Notification sent to David Bremner <bremner@debian.org>:
Bug acknowledged by developer. (Fri, 13 Dec 2013 16:03:13 GMT) Full text and rfc822 format available.

Message #18 received at 725407-close@bugs.debian.org (full text, mbox):

From: Jerome Benoit <calculus@rezozer.net>
To: 725407-close@bugs.debian.org
Subject: Bug#725407: fixed in nauty 2.5r6+ds-1
Date: Fri, 13 Dec 2013 16:00:14 +0000
Source: nauty
Source-Version: 2.5r6+ds-1

We believe that the bug you reported is fixed in the latest version of
nauty, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 725407@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jerome Benoit <calculus@rezozer.net> (supplier of updated nauty package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 26 Nov 2013 20:27:57 +0000
Source: nauty
Binary: libnauty2 nauty libnauty2-dev libnauty2-dbg nauty-doc
Architecture: source amd64 all
Version: 2.5r6+ds-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Jerome Benoit <calculus@rezozer.net>
Description: 
 libnauty2  - library for graph automorphisms -- library package
 libnauty2-dbg - library for graph automorphisms -- debug symbols package
 libnauty2-dev - library for graph automorphisms -- development package
 nauty      - library for graph automorphisms -- interface and tools
 nauty-doc  - library for graph automorphisms -- user guide
Closes: 725407 727929
Changes: 
 nauty (2.5r6+ds-1) unstable; urgency=low
 .
   * New upstream version.
   * New maintainer (Closes: #725407).
   * Debianization:
     - debian/copyright:
       - refresh;
       - bump format to DEP-5 .
     - debian/control:
       - introduce the debug symbols package libnauty-dbg;
       - gather documentations (user guide and technical notes)
         into the dedicated package nauty-doc;
       - Description fields, refresh;
       - debhelper build-dep, bump to >= 9;
       - Standards Version, bump to 3.9.4;
       - Vcs-* headers, canonicalize.
     - debian/patches/ patches:
       - autotoolize from scratch to permit a full dh integration
         (Closes: #727929);
       - prepend nauty- to the name of the nauty tools;
       - bump format to DEP-3.
     - debian/watch, update;
     - debian/repack, repack script to clean up and gain weight;
     - debian/rules:
       - fully integrate dh;
       - get-orig-source uscan based target which downloads the currently
         packaged upstream tarball and repacks it;
       - default target which basically queries package status with uscan
         -- output in DEHS format;
     - debian/ man pages, now generated on fly by help2man through the
       autotools machinery.
     - debian/*:
       - propagate SONAME `current version' index change due to new ABI;
       - introduce `version script' files to consolidate the ABI;
       - explicit multi-arch support.
   * Gather headers into a dedicated folder named after the package.
   * Provide a library for each nauty `variant' wrt upstream source tarball.
   * Provide pkg-config support (only for the nauty `automatic variant').
   * Provide an ad hoc script to build (and clean) the upstream source examples.
   * Minor fixes, enhancements and full autotools support have been submitted to
     the upstream maintainers.
Checksums-Sha1: 
 f11b063f39ec78826b67ed32aa610253e15a9361 2233 nauty_2.5r6+ds-1.dsc
 e75859b719e34c7f1baf56d110c2373b53813652 767800 nauty_2.5r6+ds.orig.tar.xz
 bd73192c3ba4c9872011ebcf990f9801558636de 27332 nauty_2.5r6+ds-1.debian.tar.xz
 7ba6e8811daad01ca23228ced7760b0a9463328e 484608 libnauty2_2.5r6+ds-1_amd64.deb
 2bdf1f0015a93918cc1a14817938c710bfb03afa 208260 nauty_2.5r6+ds-1_amd64.deb
 30830a3eceeb62a460588fe2b48a435d75357532 438446 libnauty2-dev_2.5r6+ds-1_amd64.deb
 4eb3e0d9c3eab037962784a0111c49fa57cdca6b 1905742 libnauty2-dbg_2.5r6+ds-1_amd64.deb
 c1451573682e2e0c477384dcc48a20bb0c36e526 495310 nauty-doc_2.5r6+ds-1_all.deb
Checksums-Sha256: 
 34da1e1ff7a29cd87d838dc9a3b17b13b7ae2c3370c0ac506f2d08cd4168ab3d 2233 nauty_2.5r6+ds-1.dsc
 b6c3fd321de94b55305eb3ed4db47699e104c13d47164e991b891be611c88c0b 767800 nauty_2.5r6+ds.orig.tar.xz
 0b531418c5105269e322cb0b55c6773f1cf2c603ec779d2965e00ecd9afe059f 27332 nauty_2.5r6+ds-1.debian.tar.xz
 139750604417fea9307a864bdeb95c577ae07ad8cfa0c4837a0ab6cdc503952c 484608 libnauty2_2.5r6+ds-1_amd64.deb
 bf07342909e6decd6445d8a48a1fcef2cda0e88d07a859940d140a9cf7ad7513 208260 nauty_2.5r6+ds-1_amd64.deb
 265e04d5111ec8b7d6b81217526348e92c88ba6e522825639f725ad79b6a5dc9 438446 libnauty2-dev_2.5r6+ds-1_amd64.deb
 8b0cc055faebb495e2d09ced887c9a0a8ae4c528001d1322ce33b123ac252c5c 1905742 libnauty2-dbg_2.5r6+ds-1_amd64.deb
 d2b64e8eb24fa6c61e18f8817249fb27e3ce8313e2084a09c51fd8450c839d90 495310 nauty-doc_2.5r6+ds-1_all.deb
Files: 
 dd1fa6d06fdc24337f633c138a78ee7c 2233 non-free/math extra nauty_2.5r6+ds-1.dsc
 167909830ce8dde3848a0d2c48070fc0 767800 non-free/math extra nauty_2.5r6+ds.orig.tar.xz
 c0dd70318a71f91f68e80186d53ac826 27332 non-free/math extra nauty_2.5r6+ds-1.debian.tar.xz
 c501b05539161a8d46091d253f4bdbf6 484608 non-free/libs extra libnauty2_2.5r6+ds-1_amd64.deb
 3c6302450a1ed6cf7cb37d9f0e111a6b 208260 non-free/math extra nauty_2.5r6+ds-1_amd64.deb
 b77e1aa189f6d46eb97c8bdaa69e8748 438446 non-free/libdevel extra libnauty2-dev_2.5r6+ds-1_amd64.deb
 15ab8cae87a9867ed1df72e581f947c4 1905742 non-free/debug extra libnauty2-dbg_2.5r6+ds-1_amd64.deb
 a3fd34c9465b9a1e8b349e2c0720907d 495310 non-free/doc extra nauty-doc_2.5r6+ds-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSnyEKAAoJEHjcaNsybYQ4s88QAImvYKWa5v32bofFZDRifx4f
Wt2DrqdQw7ZvUeten/+Zsd73LNL2Jg3pLra3GISO3LyPiE69eRlvD6YRzSlTtY+l
4fwpfsccMnJjEoSmbzIbON5/2AoCSKBhBlbGhkCHsD4j1k8O5cZvvqZSNRAhNbAC
O+5uHe3vx9Dda0BC4geVSkA4A3zLgm1FItlT+NFjxdnr8mu23I5l+8xWficJOUR0
J3k5N+Xu3FcoWoPIO8nrXfNafwtycDdGPhalfebMDVYDCIKaH11TxjKZXWAIA/L9
v5XEpCwpLQwb0vMaUxHUWh8RYcAC/669zhdYacrTZUDyBO3ybayHd4zAq8eIiyDW
TspUwfGPFJ4xAEJybZ9d25Mf736tH6+om7Dwo+H9xcki7VCoKY+msNFMLXXuJOR1
Move6pKq37jkTYb43mFTyT5LtSOMzdBdOJmRO9NSTCB0W4LI6YppYUinpejp8RYQ
QVlVX3mYZAPzN5WMLXn2ObhAaaLZS+ZrXrCEf+iqWpZ59WRmL61XSvzvgi6vThHp
vwXceJaYHOdwwCrwhR1NDnHG4e++6QCN7qVCddAYiwuQHfvRCt02+pT2q10bom4T
kY6lU1OZMhXGOT+lCQvnAVFyuafo8KLhSEB5p4EQY7uXaVlgGKfjOo3bpBs6NoXo
RvNxzyL0y5An6iSf1LEk
=sn7T
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Jan 2014 07:26:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:52:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.